firebase_storage_web 3.9.1 copy "firebase_storage_web: ^3.9.1" to clipboard
firebase_storage_web: ^3.9.1 copied to clipboard

Platformweb

The web implementation of firebase_storage

3.9.1 #

3.9.0 #

  • FEAT(web): remove the dependency on package:js in favor of dart:js_interop (#12534). (d83f6327)

3.8.1 #

  • Update a dependency to the latest release.

3.8.0 #

3.7.3 #

  • Update a dependency to the latest release.

3.7.2 #

  • Update a dependency to the latest release.

3.7.1 #

  • Update a dependency to the latest release.

3.7.0 #

  • FIX(storage,web): fixed web stream handlers, e2e web tests, incorrect NativeError being thrown instead of FirebaseException on web (#12319). (d32b5a93)
  • FEAT(storage,web): migrate web to js_interop to be compatible with WASM (#12202). (7cae803a)

3.6.22 #

  • Update a dependency to the latest release.

3.6.21 #

  • Update a dependency to the latest release.

3.6.20 #

  • Update a dependency to the latest release.

3.6.19 #

  • Update a dependency to the latest release.

3.6.18 #

  • DOCS: change old documentation links of packages in README files (#12136). (24b9ac7e)

3.6.17 #

  • Update a dependency to the latest release.

3.6.16 #

  • Update a dependency to the latest release.

3.6.15 #

  • Update a dependency to the latest release.

3.6.14 #

  • Update a dependency to the latest release.

3.6.13 #

  • Update a dependency to the latest release.

3.6.12 #

  • Update a dependency to the latest release.

3.6.11 #

  • Update a dependency to the latest release.

3.6.10 #

  • Update a dependency to the latest release.

3.6.9 #

  • Update a dependency to the latest release.

3.6.8 #

  • Update a dependency to the latest release.

3.6.7 #

  • Update a dependency to the latest release.

3.6.6 #

  • Update a dependency to the latest release.

3.6.5 #

  • Update a dependency to the latest release.

3.6.4 #

  • FIX(firebase_storage): updated firebase_storage_web to allow http package dependency range '>=0.13.0 <2.0.0'. Fixes dependency resolution. (#11158). (7d0ca257)

3.6.3 #

  • Update a dependency to the latest release.

3.6.2 #

  • Update a dependency to the latest release.

3.6.1 #

  • Update a dependency to the latest release.

3.6.0 #

  • FEAT: update dependency constraints to sdk: '>=2.18.0 <4.0.0' flutter: '>=3.3.0' (#10946). (2772d10f)

3.5.0 #

  • FEAT: upgrade to dart 3 compatible dependencies (#10890). (4bd7e59b)

3.4.1 #

  • Update a dependency to the latest release.

3.4.0 #

3.3.25 #

  • FIX(firebase_storage_web): fix Error: Unexpected null value. when metadata.timeCreated or metadata.updated (#10577). (6eb235ba)

3.3.24 #

  • Update a dependency to the latest release.

3.3.23 #

  • Update a dependency to the latest release.

3.3.22 #

  • Update a dependency to the latest release.

3.3.21 #

  • Update a dependency to the latest release.

3.3.20 #

  • Update a dependency to the latest release.

3.3.19 #

  • Update a dependency to the latest release.

3.3.18 #

  • Update a dependency to the latest release.

3.3.17 #

  • Update a dependency to the latest release.

3.3.16 #

  • Update a dependency to the latest release.

3.3.15 #

  • Update a dependency to the latest release.

3.3.14 #

  • Update a dependency to the latest release.

3.3.13 #

  • Update a dependency to the latest release.

3.3.12 #

  • Update a dependency to the latest release.

3.3.11 #

  • Update a dependency to the latest release.

3.3.10 #

  • Update a dependency to the latest release.

3.3.9 #

  • Update a dependency to the latest release.

3.3.8 #

  • Update a dependency to the latest release.

3.3.7 #

  • Update a dependency to the latest release.

3.3.6 #

  • Update a dependency to the latest release.

3.3.5 #

  • Update a dependency to the latest release.

3.3.4 #

  • Update a dependency to the latest release.

3.3.3 #

  • Update a dependency to the latest release.

3.3.2 #

  • FIX: fix UploadTask by fixing TaskEvent Web Interop (#9212). (6df75ca0)

3.3.1 #

  • Update a dependency to the latest release.

3.3.0 #

  • FEAT: upgrade to support v9.8.1 Firebase JS SDK (#8235). (4b417af5)

3.2.19 #

  • FIX: bump firebase_core_platform_interface version to fix previous release. (bea70ea5)

3.2.18 #

  • Update a dependency to the latest release.

3.2.17 #

  • REFACTOR: use "firebase" instead of "FirebaseExtended" as organisation in all links for this repository (#8791). (d90b8357)

3.2.16 #

  • Update a dependency to the latest release.

3.2.15 #

  • Update a dependency to the latest release.

3.2.14 #

  • Update a dependency to the latest release.

3.2.13 #

  • Update a dependency to the latest release.

3.2.12 #

  • Update a dependency to the latest release.

3.2.11 #

  • Update a dependency to the latest release.

3.2.10 #

  • FIX: update all Dart SDK version constraints to Dart >= 2.16.0 (#8184). (df4a5bab)

3.2.9 #

  • Update a dependency to the latest release.

3.2.8 #

  • Update a dependency to the latest release.

3.2.7 #

  • Update a dependency to the latest release.

3.2.6 #

  • Update a dependency to the latest release.

3.2.5 #

  • Update a dependency to the latest release.

3.2.4 #

  • Update a dependency to the latest release.

3.2.3 #

  • Update a dependency to the latest release.

3.2.2 #

  • Update a dependency to the latest release.

3.2.1 #

  • Update a dependency to the latest release.

3.2.0 #

  • FEAT: automatically inject Firebase JS SDKs (#7359).

3.1.0 #

  • FEAT: support initializing default FirebaseApp instances from Dart (#6549).

3.0.5 #

  • Update a dependency to the latest release.

3.0.4 #

  • Update a dependency to the latest release.

3.0.3 #

  • Update a dependency to the latest release.

3.0.2 #

  • Update a dependency to the latest release.

3.0.1 #

  • Update a dependency to the latest release.

3.0.0 #

Note: This release has breaking changes.

  • BREAKING FEAT: use

2.0.0 #

Note: This release has breaking changes.

  • BREAKING FEAT: useStorageEmulator(host, port) API update.

1.1.2 #

  • Update a dependency to the latest release.

1.1.1 #

  • Update a dependency to the latest release.

1.1.0 #

  • FEAT: add support for the Firebase Storage emulator via useEmulator (#5936).

1.0.6 #

  • DOCS: Add missing homepage/repository links (#6054).

1.0.5 #

  • FIX: secondary storage buckets now work as expected on Web (#5863).

1.0.4 #

  • REFACTOR: Share guard functions accross plugins (#5783).

1.0.3 #

  • Update a dependency to the latest release.

1.0.2 #

  • Update a dependency to the latest release.

1.0.1 #

  • Update a dependency to the latest release.

1.0.0 #

  • Graduate package to a stable release. See pre-releases prior to this version for changelog entries.

1.0.0-1.0.nullsafety.0 #

  • Bump "firebase_storage_web" to 1.0.0-1.0.nullsafety.0.

0.2.0-1.0.nullsafety.1 #

  • Update a dependency to the latest release.

0.2.0-1.0.nullsafety.0 #

  • REFACTOR: Migrate Firebase Storage to nnbd (#4753).

0.1.1+3 #

  • Update a dependency to the latest release.

0.1.1+2 #

  • Update a dependency to the latest release.

0.1.1+1 #

  • Update a dependency to the latest release.

0.1.1 #

  • REFACTOR: move web example app (currently not functioning or in use on CI).
  • FEAT: migrate firebase interop into library (#4157).
  • FEAT: web support (#3917).

0.1.0 #

  • Initial open source release.